# AttributeDisambiguationRule

interface AttributeDisambiguationRule<T> : Action<T>

A rule that selects the best value out of a set of candidates.

#### Since

4.0

#### Parameters

<T>

The attribute value type.

## Functions

execute
Link copied to clipboard
abstract fun execute(t: T)
invoke
Link copied to clipboard
operator fun <T : Any> Action<in T>.invoke(target: T)

Enables function invocation syntax on Action references.